## org.apache.lucene.queryParser.surround.parser
Class QueryParserTokenManager

    java.lang.Object
      org.apache.lucene.queryParser.surround.parser.QueryParserTokenManager

All Implemented Interfaces:
  QueryParserConstants

    public class QueryParserTokenManager

extends Object
implements QueryParserConstants

Field Summary
`protected char` `curChar`
`PrintStream` `debugStream`
`protected CharStream` `input_stream`
`static int[]` `jjnewLexState`
`static String[]` `jjstrLiteralImages`
`static String[]` `lexStateNames`

Fields inherited from interface org.apache.lucene.queryParser.surround.parser.QueryParserConstants
`_DISTOP_NUM, _NUM_CHAR, _ONE_CHAR, _STAR, _TERM_CHAR, _WHITESPACE, AND, Boost, CARAT, COLON, COMMA, DEFAULT, EOF, LPAREN, N, NOT, NUMBER, OR, QUOTED, RPAREN, SUFFIXTERM, TERM, tokenImage, TRUNCQUOTED, TRUNCTERM, W`

Constructor Summary
`QueryParserTokenManager(CharStream stream)`
`QueryParserTokenManager(CharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(CharStream stream)`
`void` `ReInit(CharStream stream, int lexState)`
`void` `setDebugStream(PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected CharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### QueryParserTokenManager

    public QueryParserTokenManager(CharStream stream)

### QueryParserTokenManager

    public QueryParserTokenManager(CharStream stream,
                                   int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.